Package org.pushingpixels.substance.api.painter.overlay

# Interface SubstanceOverlayPainter

All Superinterfaces:
  `SubstanceTrait`

All Known Implementing Classes:
  `BottomLineOverlayPainter`, `BottomShadowOverlayPainter`, `TopBezelOverlayPainter`, `TopLineOverlayPainter`, `TopShadowOverlayPainter`

public interface SubstanceOverlayPainter extends SubstanceTrait
Overlay painter interface for Substance look and feel. This class is part of officially supported API.

Since:
  version 5.3

## Method Summary

Modifier and Type
Method
Description
`void`
`paintOverlay(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)`
Paints the overlay.

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Method Details

### paintOverlay

void paintOverlay(Graphics2D graphics, Component comp, DecorationAreaType decorationAreaType, int width, int height, SubstanceSkin skin)
Paints the overlay.

Parameters:
  `graphics` - Graphics context.
  `comp` - Component.
  `decorationAreaType` - Decoration area type. Must not be `null`.
  `width` - Width.
  `height` - Height.
  `skin` - Skin for painting the overlay.